<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<title id="title">Internationalization - wxWidgets</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" type="text/css" href="/screen.css" media="screen" />
	<script type="text/javascript">
	<!--
	// For smaller resolution screens, use a smaller font.
	if ( (screen.width < 1024) || (screen.height < 768) )
		document.write('<link rel="stylesheet" type="text/css" href="/small-font.css" media="screen">');
	function encodeEmailLink(name)
	{
		var addr = name + "@googlegroups.com";
		document.write("<a href='mailto:" + addr + "'>" + addr + "</a>");
	}
	// -->
	</script>
</head>

<body>

<table width="100%" border="0" cellspacing="0" cellpadding="0">

  <!-- Header -->
  <tr>
    <td class="header" height="64">
      <img src="/logo9.jpg" alt="wxWidgets Logo" width="300" height="64" />
    </td>
    <!-- Search Box -->
    <td class="header" height="64" valign="middle" nowrap="nowrap" align="right">
      <form id="search" method="get" action="http://www.google.com/custom">
        <input type="hidden" name="domains" value="www.wxwidgets.org" />
        <input type="hidden" name="sitesearch" value="www.wxwidgets.org" />
        <input name="q" type="text" size="20" />&nbsp;&nbsp;<input name="sa" value="Search" type="submit" />&nbsp;&nbsp;
      </form>
    </td>
  </tr>

  <tr>
    <td colspan="2" bgcolor="#003366"><img src="/mm_spacer.gif" alt="" width="1" height="1" border="0" /></td>
  </tr>

  <!-- Navigation Bar -->
  <tr>
    <td id="navbartd" height="25" colspan="2">
      <div id="navbar"><b>
        &nbsp;&nbsp;&nbsp;<a href="/">Home</a>&nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;<a href="/about/">About</a>&nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;<a href="/downloads/">Downloads</a>&nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;<a href="/docs/">Documentation</a>&nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;<a href="/support/">Support</a>&nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;<a href="/develop/">Developers</a>&nbsp;&nbsp;&nbsp;
      </b></div>
    </td>
  </tr>

  <tr>
    <td colspan="2" bgcolor="#003366"><img src="/mm_spacer.gif" alt="" width="1" height="1" border="0" /></td>
  </tr>

  <tr>
    <td colspan="2">
      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td valign="top">

            <div id="section_box"><table width="180" border="0" cellpadding="0" cellspacing="0" style="padding: 5px;">
              <tr valign="top">
                <td valign="top" width="170">
                  <table width="100%" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td class="box_top_left" valign="top"><img height="27" width="27" src="/images/sidebar-top-left.gif" alt="" /></td>
                      <td class="box_top_center" valign="bottom">&nbsp;</td>
                      <td class="box_top_right" valign="top"><img height="27" width="27" src="/images/sidebar-top-right.gif" alt="" /></td>
                    </tr>
                    <tr>
                      <td class="box_heading_left">&nbsp;</td>
                      <td class="box_heading_center"><h3 class="box_heading">
                        <span id="section_name">About</span>
                      </h3></td>
                      <td class="box_heading_right">&nbsp;</td>
                    </tr>
                    <tr>
                      <td class="box_body_left">&nbsp;</td>
                      <td class="heading_body" bgcolor="#efefef" width="100%" nowrap="nowrap">
                        <span id="section_links">
                        <a href="http://www.wxwidgets.org/about/whowhat.htm">wxTeam</a><br/>
                        <a href="http://www.wxwidgets.org/about/feedback.htm">Feedback</a><br/>
                        <a href="http://www.wxwidgets.org/about/feature2.htm">Features</a><br/>
                        <a href="http://www.wxwidgets.org/about/i18n.php">Localization</a><br/>
                        <a href="http://www.wxwidgets.org/about/credits.htm">Credits</a><br/>
                        <a href="http://www.wxwidgets.org/about/datasheets.html">Datasheets</a><br/>
                        <a href="http://www.wxwidgets.org/about/newlicen.htm">Licence</a><br/>
                        <a href="http://www.wxwidgets.org/about/reviews2.htm">Press</a><br/>
                        <a href="http://www.wxwidgets.org/about/users.htm">Users</a><br/>
                        <a href="http://www.wxwidgets.org/about/history.htm">History</a><br/>
                        <a href="http://www.wxwidgets.org/about/screensh.htm">Screenshots</a><br/></span>
                      </td>
                      <td class="box_body_right">&nbsp;</td>
                    </tr>
                    <tr>
                      <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-left.gif" alt="" /></td>
                      <td class="box_bottom_center">&nbsp;</td>
                      <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-right.gif" alt="" /></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table></div>

          </td>
          <td valign="top" width="100%" style="padding: 20px 10px;">

            <div id="contents">

<?php

// ---------------------------------------------------------------------
//           Configuration of translations status script
// ---------------------------------------------------------------------

// Setup SVN access here, must point to the directory with .po files:
$locale_checkout_url="http://svn.wxwidgets.org/svn/wx/wxWidgets/trunk/locale/";

// Name of POT file (in cvs_url directory):
$potfile="wxstd.pot";

// Path to images (1x16 bars):
$img_translated="../images/translated.png";
$img_fuzzy="../images/fuzzy.png";
$img_untranslated="../images/untranslated.png";

// Width of status bar:
$graph_width = 200;

// ---------------------------------------------------------------------
//                     List of our translators
// ---------------------------------------------------------------------

// for convenience, the records here are sorted by the language code, even
// though they're displayed sorted by the language name in the table below
$translators = array(
   'af' => '<a href="mailto:rkwjpj@@puk.ac.za">Petri Jooste</a><br>
            <a href="mailto:friedel@@translate.org.za">Friedel Wolff</a>',
   'an' => '<a href="mailto:jorgtum@@gmail.com">Jorge Pérez</a>',
   'ar' => '<a href="mailto:abouzekry@@gmail.com">Abdullah Abouzekry</a>',
   'ca' => '<a href="mailto:paubcrespo@@hotmail.com">Pau Bosch i Crespo</a><br/>
            <a href="mailto:rmh@@aybabtu.com">Robert Millan</a>',
   'ca@valencia' => '<a href="mailto:rmh@@aybabtu.com">Robert Millan</a>',
   'cs' => '<a href="mailto:vaclav.slavik@@matfyz.cz">Vaclav Slavik</a><br/>
            <a href="mailto:deirdre_skye@@web.de">Herbert Breunung</a><br/>
            <a href="mailto:zbynek.schwarz@@gmail.com">Zbyněk Schwarz</a>',
   'da' => '<a href="mailto:leif@@danmos.dk">Leif Jensen</a>,<br>
            <a href="mailto:Henrik@@fangorn.dk">Henrik Ræder Clausen</a>
            <a href="mailto:mulrich15@@yahoo.dk">Morten Råbjerg Ulrich</a>',
   'de' => '<a href="mailto:DanR@@gmx.de">Daniel Reith</a>,<br/>
            <a href="mailto:sparhawk@@aon.at">Gerhard Gruber</a>,<br/>
            <a href="mailto:stefan@@hedemann.de">Stefan Hedemann</a>,<br/>
            <a href="mailto:D.Reymann@@geisenheim.mnd.fh-wiesbaden.de">Dr. Detlev Reymann</a>,<br/>
            Mark Johnson,<br/>
            <a href="mailto:martinnost@@users.sf.net">Martin Jost</a>,<br/>
            <a href="mailto:deirdre_skye@@web.de">Herbert Breunung</a>,<br/>
            <a href="mailto:chbuck@@gmail.com">Ch. Buck</a>,<br/>
            <a href="mailto:webmaster@@coderonline.de">Max Christian Pohle</a>,<br/>
            <a href="mailto:Thomas.Krebs@@mecadtron.de">Thomas Krebs</a>',
   'el' => '<a href="mailto:tsolako1@@otenet.gr">Tsolakos Stavros</a>,<br/>
            <a href="mailto:nassosy@@innerprocess.com">Nassos Yiannopoulos</a>',
   'es' => '<a href="mailto:guille@@iies.es">Guillermo Rodriguez Garcia</a>,<br/>
            <a href="mailto:jsj666@@hotmail.com">JSJ</a>,<br/>
            <a href="mailto:francisco.vila@@hispalinux.es">Francisco Vila</a>,<br/>
            <a href="mailto:correoadrian82@@hotmail.com">Adrián González Alba</a>',
   'eu' => '<a href="mailto:3arrano@@euskalerria.org">3ARRANO Euskalgintza Taldea</a>,<br/>
            <a href="mailto:azpidatziak@@gmail.com">Xabier Aramendi</a>',
   'fi' => '<a href="mailto:kgb@@compart.fi">Kaj G Backas</a><br/>
            <a href="mailto:lanurmi@@iki.fi">Lauri Nurmi</a><br/>
            <a href="mailto:jmsalli79@@hotmail.com">Jaakko Salli</a><br/>
            <a href="mailto:elias.julkunen@@gmail.com">Elias Julkunen</a><br/>
            <a href="mailto:jani.kinnunen@@wippies.fi">Jani Kinnunen</a>',
   'fr' => '<a href="mailto:Stephane.Junique@@optics.kth.se">Stephane Junique</a>,<br>
            <a href="mailto:lionel.allorge@@lunerouge.com">Lionel Allorge</a>,<br>
            <a href="mailto:Gilles.Guyot@@Krypton.be">Gilles Guyot</a>',
   'gl_ES' => '<a href="mailto:leandro.regueiro@@gmail.com">Leandro Regueiro</a><br/>
               <a href="mailto:correoadrian82@@hotmail.com">Adrián González Alba</a><br/>
               <a href="mailto:nandiez@@gmail.com">Nuria Andión</a>',
   'hi' => '<a href="mailto:dysxhi@@yahoo.co.in">Dhananjaya Sharma</a>,<br/>
            <a href="mailto:priyank.bolia@@gmail.com">Priyank Bolia</a>',
   'hu' => '<a href="mailto:Janos_Vegh@@users.sourceforge.net">Végh János Dr.</a>',
   'id' => '<a href="mailto:bambang@@3wsi.com">Bambang Purnomosidi D. P.</a>,<br/>
           <a href="mailto:doplank@@gmx.com">Rahmat Bambang</a>',
   'it' => '<a href="mailto:Roberto.Boriotti@@canon-europe.com">Roberto Boriotti</a>,<br/>
            <a href="mailto:mbarbon@@cpan.org">Mattia Barbon</a>,<br/>
            <a href="mailto:m.cavallini@@koansoftware.com">Marco Cavallini</a>
            (<a href="http://www.koansoftware.com" target=_new>Koan Software</a>),<br/>
            <a href="mailto:l.stickell@@yahoo.it">Stefano</a>',
   'ja' => '<a href="mailto:james.bishop1@@tiscali.co.uk">James Bishop</a>,<br/>
            <a href="mailto:saito@@inetrt.skcapi.co.jp">Hiroshi Saito</a>,<br/>
            <a href="mailto:suzumizaki@@free.japandesign.ne.jp">Suzumizaki-Kimitaka</a>,<br/>
            <a href="mailto:kaba@@shall-systemservice.co.jp">Y. KABA.</a>',
   'ko_KR' => '<a href="mailto:dragoneyes.org@@gmail.com">Sungkee Jung</a>',
   'lt' => '<a href="mailto:pieter.clarysse@@bricsys.com">Pieter</a>',
   'ms' => '<a href="mailto:mahrazi@@gmail.com">Mahrazi Mohd Kamal</a>',
   'nb' => '<a href="mailto:hans@@nordhaug.priv.no">Hans F. Nordhaug</a>',
   'ne' => '<a href="mailto:drishtibachak@@gmail.com">Him Prasad Gautam</a>',
   'nl' => '<a href="mailto:phubers@@solve-i-t.com">Patrick Hubers</a>,<br/>
            <a href="mailto:gvmelle@@gmail.com">Gideon van Melle</a>,<br/>
            <a href="mailto:thomasderocker@@hotmail.com">Thomas De Rocker</a>',
   'pl' => '<a href="mailto:matis@@linuxmail.org">Piotr Mackowiak</a>,<br/>
            <a href="mailto:jpiw@@go2.pl">Janusz Piwowarski</a>,<br/>
            <a href="mailto:abx@@abx.art.pl">ABX</a>,<br/>
            <a href="mailto:hippie_1968@@hotmail.com">Michał Trzebiatowski</a>',
   'pt' => '<a href="mailto:marionrpereira76@@hotmail.com">Mario Pereira</a>,<br/>
            <a href="mailto:digiplan.pt@@gmail.com">Antonio Cardoso Martins</a>,<br/>
            <a href="mailto:mail@@cgoncalves.info">Carlos Gonçalves</a>,<br>
            <a href="mailto:manuela.silva@@sky.com">Manuela Silva</a>',
   'pt_BR' => '<a href="mailto:e.a.tacao@@terra.com.br">E.A. Tacao</a>,<br/>
               <a href="mailto:jecdiniz@@yahoo.com.br">José Eduardo de Carvalho Diniz</a>,<br/>
               <a href="mailto:adiel@@inf.ufsc.br">Adiel Mittmann</a>,<br/>
               <a href="mailto:allanjos@@gmail.com">Allann Jones</a>,<br/>
               <a href="felipefpl@@ig.com.br">Felipe</a>',
   'ro' => '<a href="mailto:cata_sr@@yahoo.com">Cătălin Răceanu</a>,<br/>
            <a href="mailto:adrian.haisan@@gmail.com">Adrian Hăisan</a>,<br/>
            <a href="mailto:manuelciosici@@yahoo.com">Manuel Ciosici</a>',
   'ru' => '<a href="mailto:d.levichev@@gmail.com">Dmitry Levichev</a>,<br/>
            <a href="mailto:wolfsoft@@mail.ru">Dennis Prochko</a>,<br/>
            <a href="mailto:rolinsky@@mema.ucl.ac.be">Roman Rolinsky</a>,<br/>
            <a href="mailto:vadim@@wxwidgets.org">Vadim Zeitlin</a>,<br/>
            <a href="mailto:kai@@cmail.ru">Andrew V. Samoilov</a>',
   'sk' => '<a href="mailto:helix84@@centrum.sk">Ivan Masar</a>',
   'sl' => '<a href="mailto:roman.plevel@@iskratr.si">Roman Plevel</a>,<br/>
            <a href="mailto:miles@@filmsi.net">Martin Srebotnjak</a>',
   'sq' => '<a href="mailto:besnik@@programeshqip.org">Besnik Bleta</a>',
   'sv' => '<a href="mailto:jonas@@arbor.se">Jonas Rydberg</a>,<br/>
            <a href="mailto:kgb@@compart.fi">Kaj G Backas</a>',
   'ta' => '<a href="mailto:td.dinkar@@gmail.com">DINAKAR T.D.</a>',
   'tr' => '<a href="mailto:dogusanh@@dynaset.org">Hakki Dogusan</a>,<br/>
            <a href="mailto:kayazeren@@gmail.com">Kaya Zeren</a>',
   'uk' => '<a href="mailto:yurchor@@ukr.net">Yuri Chornoivan</a>,<br/>
            <a href="mailto:manko@@salingshot.co.nz">Eugene Manko</a>,<br/>
            <a href="mailto:k_ilya@@ukr.net">Ylia K</a>',
   'vi' => '<a href="mailto:vnwildman@@gmail.com">Tran Ngoc Quan</a>',
   'zh_CN' => '<a href="mailto:mrfx@@fm365.com">mrfx</a>,<br/>
               <a href="mailto:liouxiao@@hotmail.com">Liu XiaoXi</a>,<br/>
               <a href="mailto:hjiawei@@gmail.com">Huang Jiawei</a>,<br/>
               <a href="mailto:williamroot777@@qq.com">William Jiang</a>',
   'zh_TW' => '<a href="mailto:pal.tw@@yahoo.com.tw">pal.tw</a>',
);

// ---------------------------------------------------------------------
//                   List of recognized languages
// ---------------------------------------------------------------------

$langnames = array(
    "aa" => "Afar",
    "ab" => "Abkhazian",
    "ae" => "Avestan",
    "af" => "Afrikaans",
    "am" => "Amharic",
    "an" => "Aragonese",
    "ar" => "Arabic",
    "as" => "Assamese",
    "ay" => "Aymara",
    "az" => "Azerbaijani",
    "ba" => "Bashkir",
    "be" => "Byelorussian",
    "bg" => "Bulgarian",
    "bh" => "Bihari",
    "bi" => "Bislama",
    "bn" => "Bengali",
    "bo" => "Tibetan",
    "br" => "Breton",
    "bs" => "Bosnian",
    "ca" => "Catalan",
    "ca@valencia" => "Valencian (Southern Catalan)",
    "ce" => "Chechen",
    "ch" => "Chamorro",
    "co" => "Corsican",
    "cs" => "Czech",
    "cu" => "Church Slavic",
    "cv" => "Chuvash",
    "cy" => "Welsh",
    "da" => "Danish",
    "de" => "German",
    "dz" => "Dzongkha",
    "el" => "Greek",
    "en" => "English",
    "eo" => "Esperanto",
    "es" => "Spanish",
    "et" => "Estonian",
    "eu" => "Basque",
    "fa" => "Persian",
    "fi" => "Finnish",
    "fj" => "Fijian",
    "fo" => "Faroese",
    "fr" => "French",
    "fy" => "Frisian",
    "ga" => "Irish",
    "gd" => "Gaelic",
    "gl" => "Galician",
    "gn" => "Guarani",
    "gu" => "Gujarati",
    "ha" => "Hausa",
    "he" => "Hebrew",
    "hi" => "Hindi",
    "ho" => "Hiri Motu",
    "hr" => "Croatian",
    "hu" => "Hungarian",
    "hy" => "Armenian",
    "hz" => "Herero",
    "ia" => "Interlingua",
    "id" => "Indonesian",
    "ie" => "Interlingue",
    "ik" => "Inupiaq",
    "is" => "Icelandic",
    "it" => "Italian",
    "iu" => "Inuktitut",
    "ja" => "Japanese",
    "jw" => "Javanese",
    "ka" => "Georgian",
    "ki" => "Kikuyu",
    "kj" => "Kuanyama",
    "kk" => "Kazakh",
    "kl" => "Kalaallisut",
    "km" => "Khmer",
    "kn" => "Kannada",
    "ko" => "Korean",
    "ks" => "Kashmiri",
    "ku" => "Kurdish",
    "kv" => "Komi",
    "kw" => "Cornish",
    "ky" => "Kirghiz",
    "la" => "Latin",
    "lb" => "Letzeburgesch",
    "ln" => "Lingala",
    "lo" => "Lao",
    "lt" => "Lithuanian",
    "lv" => "Latvian",
    "mg" => "Malagasy",
    "mh" => "Marshall",
    "mi" => "Maori",
    "mk" => "Macedonian",
    "ml" => "Malayalam",
    "mn" => "Mongolian",
    "mo" => "Moldavian",
    "mr" => "Marathi",
    "ms" => "Malay",
    "mt" => "Maltese",
    "my" => "Burmese",
    "na" => "Nauru",
    "ne" => "Nepali",
    "ng" => "Ndonga",
    "nl" => "Dutch",
    "nn" => "Norwegian Nynorsk",
    "nb" => "Norwegian Bokmal",
    "nr" => "Ndebele, South",
    "nv" => "Navajo",
    "ny" => "Chichewa; Nyanja",
    "oc" => "Occitan",
    "om" => "(Afan) Oromo",
    "or" => "Oriya",
    "os" => "Ossetian; Ossetic",
    "pa" => "Panjabi",
    "pi" => "Pali",
    "pl" => "Polish",
    "ps" => "Pashto, Pushto",
    "pt" => "Portuguese",
    "qu" => "Quechua",
    "rm" => "Rhaeto-Romance",
    "rn" => "Rundi",
    "ro" => "Romanian",
    "ru" => "Russian",
    "rw" => "Kinyarwanda",
    "sc" => "Sardinian",
    "sd" => "Sindhi",
    "se" => "Northern Sami",
    "sg" => "Sangro",
    "sh" => "Serbo-Croatian",
    "si" => "Sinhalese",
    "sk" => "Slovak",
    "sl" => "Slovenian",
    "sm" => "Samoan",
    "sn" => "Shona",
    "so" => "Somali",
    "sq" => "Albanian",
    "sr" => "Serbian",
    "ss" => "Siswati",
    "st" => "Sesotho",
    "su" => "Sundanese",
    "sv" => "Swedish",
    "sw" => "Swahili",
    "ta" => "Tamil",
    "te" => "Telugu",
    "tg" => "Tajik",
    "th" => "Thai",
    "ti" => "Tigrinya",
    "tk" => "Turkmen",
    "tl" => "Tagalog",
    "tn" => "Setswana",
    "to" => "Tonga",
    "tr" => "Turkish",
    "ts" => "Tsonga",
    "tt" => "Tatar",
    "tw" => "Twi",
    "ty" => "Tahitian",
    "ug" => "Uighur",
    "uk" => "Ukrainian",
    "ur" => "Urdu",
    "uz" => "Uzbek",
    "vi" => "Vietnamese",
    "vo" => "Volapuk",
    "wo" => "Wolof",
    "xh" => "Xhosa",
    "yi" => "Yiddish",
    "yo" => "Yoruba",
    "za" => "Zhuang",
    "zh" => "Chinese",
    "zu" => "Zulu",
);

// ----------------------------------------------------------------------
//             Display information about single translation:
// ----------------------------------------------------------------------

// If the URL is www.wxwidgets.org/i18n.php, display summary of all
// translations, if it is www.wxwidgets.org/i18n.php?info=xy, display
// information about translators of language xy:
$language = $_GET['info'];
if ( array_key_exists($language, $translators) )
{
    ?>
    <div class="page_heading">
        <img src="../images/blocks2.jpg" alt="About" width="30" height="21" />
        Translators for Language:
        <?php
            if( array_key_exists($language, $langnames) )
                echo $langnames[$language] . " ($language)";
            else
                echo $langnames[substr($language, 0, 2)] . " ($language)";
        ?>
    </div>
    <p><?php echo $translators[$language]; ?></p>
    <p>Note that email addresses contain double '@' as anti-spam measure,
    you'll have to remove one if you want to send email to the translators.</p>
    <?php
}
else
{

// ----------------------------------------------------------------------
//                    Display translations summary:
// ----------------------------------------------------------------------

?>

<div class="page_heading"><img src="../images/blocks2.jpg" alt="About" width="30" height="21" /> Internationalization</div>

<p><center>
    <a href="#available">Available Translations</a> |
    <a href="#howtohelp">How to Help</a>
</center></p>

<p>wxWidgets uses a certain number of user-readable strings such as
<tt>"help"</tt> or <tt>"Load file"</tt> which should be translated to the
users language if it is different from English. wxWidgets has built in support
for internationalization (i18n from now on) which allows for this to happen
automatically if the translations to the current language are available.</p>

<p>You may find here the list of all existing translations with the addresses
of the official translators whom you should contact if you would like to
submit any corrections to the translations for your language (click on
language code to display list of translators). Also, please
<a href="#howtohelp">see below</a> if you would like to translate wxWidgets to
your language if it is not mentioned here (or to help with one which already
is -- it is quite helpful to have several translators for one language at
least for proof reading).</p>

<a name="available"></a>
<h3>Available Translations</h3>

<p>Below is the table containing the list of languages supported by wxWidgets.
The columns of this table have the obvious meaning: in each row you will see
the language and the status of the translations as of the latest version of
wxWidgets (regenerated once a day from the sources repository). Click on a
language name to see the list of translators for that language.</p>

<style type="text/css">
<!--
/* ------------- Translations statistics ------------------- */

table.translations
{
    border: solid;
    border-width: 1px;
    text-align: left;
}

.incomplete
{
    background-color: #C8D4E0;
}

.untrans
{
    color: #d42323;
    text-align: right;
}
.trans
{
    color: #1B6C00;
    text-align: right;
}
.fuzzy
{
    color: #05359B;
    text-align: right;
}

.graph
{
    text-align: center;
}

.template
{
    font-style: italic;
}
-->
</style>

<p>Last Updated: <?php echo date("M d, Y H:i", filectime('__catstatus.php')); ?></p>

<center>

<?php
$catstatus = array();
include '__catstatus.php';
?>

<p>
<table class="translations">
    <tr>
        <th class="lang">language</th>
        <th class="trans">translated</th>
        <th class="fuzzy">fuzzy</th>
        <th class="untrans">untranslated</th>
        <th class="graph">graph</th>
        <th class="download">download</th>
    </tr>
    <?php
        function get_langname($langcode)
        {
            global $langnames;
            if (strlen($langcode) > 2 && $langcode[2] == '_')
                $key=$langcode[0].$langcode[1];
            else
                $key=$langcode;
            return $langnames[$key];
        }

        function cmp_catstatus($a, $b)
        {
            $la = get_langname($a);
            $lb = get_langname($b);

            if ($la == $lb) {
                return 0;
            }
            return ($la < $lb) ? -1 : 1;
        }

        uksort($catstatus, "cmp_catstatus");
        while (list($lang, $value) = each ($catstatus))
        {
            $cnt_total = $value[0] + $value[1] + $value[2];
            $cnt_trans = $cnt_total == 0 ? 0 : 100 * $value[0] / $cnt_total;
            $cnt_fuzzy = $cnt_total == 0 ? 0 : 100 * $value[1] / $cnt_total;
            $cnt_untrans = $cnt_total == 0 ? 0 : 100 * $value[2] / $cnt_total;
            $w_trans = $cnt_total == 0 ? 0 : (int)($graph_width * $value[0] / $cnt_total);
            $w_fuzzy = $cnt_total == 0 ? 0 : (int)($graph_width * ($value[0] + $value[1]) / $cnt_total) - $w_trans;
            $w_untrans = $cnt_total == 0 ? 0 : (int)($graph_width * ($value[0] + $value[1] + $value[2]) / $cnt_total) - $w_trans - $w_fuzzy;
            if ($value[1] + $value[2] > 0)
                echo "<tr class=\"incomplete\">";
            else
                echo "<tr class=\"complete\">";
            echo "<td class=\"lang\"><a href=\"i18n.php?info=$lang\">" . get_langname($lang) . " ($lang)</a></td>";
            printf("<td class=\"trans\" nowrap=\"nowrap\">%0.1f %%</td>", $cnt_trans);
            printf("<td class=\"fuzzy\" nowrap=\"nowrap\">%0.1f %%</td>", $cnt_fuzzy);
            printf("<td class=\"untrans\" nowrap=\"nowrap\">%0.1f %%</td>", $cnt_untrans);
            echo "<td class=\"graph\">";
            if ($cnt_trans != 0) {
                echo "<img src=\"$img_translated\" width=\"$w_trans\" height=\"16\"/>";
            }
            if ($cnt_fuzzy != 0) {
                echo "<img src=\"$img_fuzzy\" width=\"$w_fuzzy\" height=\"16\"/>";
            }
            if ($cnt_untrans != 0) {
                echo "<img src=\"$img_untranslated\" width=\"$w_untrans\" height=\"16\"/>";
            }
            echo "</td>";
            echo "<td class=\"download\"><a href=\"{$locale_checkout_url}{$lang}.po\">$lang.po</a></td>";
            echo "</tr>\n";
        }

        echo "<tr class=\"template\">";
        echo "<td>Template file</td><td></td><td></td><td></td><td></td>";
        echo "<td class=\"download\"><a href=\"{$locale_checkout_url}{$potfile}\">$potfile</a></td>";
        echo "</tr>\n"
     ?>
</table>
</p>

</center>

<a name="howtohelp"></a>
<h3>How to Help</h3>

<p>wxWidgets uses the standard GNU gettext tools for i18n so if you are already
familiar with them you shouldn't have any problems with working on wxWidgets
translations. Here are the the steps you should follow:</p>

<ol>
  <li>Get the latest version of the file <tt>locale/wxstd.pot</tt> from the
      wxWidgets source tree: if you're using <a href="../develop/svn.htm">SVN</a>
      or the <a href="http://www.wxwidgets.org/snapshots/">daily snapshots</a>,
      you should already have it. Otherwise you can always
      retrieve it directly from the SVN repository
      <a href="http://svn.wxwidgets.org/svn/wx/wxWidgets/trunk/locale/wxstd.pot">here</a>.
  <li>Rename it to <tt>ll_CC.po</tt> where <tt>"ll"</tt> is the 2 letter
      <a href="http://www.loc.gov/standards/iso639-2/php/English_list.php">ISO 639-1 language code</a>
      for your language and <tt>"CC"</tt> is the 2 letter
      <a href="http://www.iso.ch/iso/en/prods-services/iso3166ma/02iso-3166-code-lists/list-en1.html">
      ISO 3166 country code</a>. If the country is the default one for this
      language (e.g. Italy is default country for Italian), then the country part and underscore
      preceding it should be omitted -- this is, in fact, the most common case.
  <li>Translate the strings in this file using either your favourite text
      editor or a specialized tool such as Vaclav Slavik&#39;s excellent
      <a href="http://www.poedit.net/" target=_top>Poedit</a>
      utility.
  <li>Verify that your translations can at least be compiled (even if they
      are yet incomplete) by running <tt>msgfmt -v ll_CC.po</tt> command:
      please note that you <i>must</i> use the <tt>-v</tt> option. In
      particular, please fill the header fields because msgfmt doesn&#39;t
      accept the default values for them.
  <li>Send the finished translation to
      <a href="mailto:vadim@wxwidgets.org">Vadim Zeitlin</a> and it will be
      added to the next wxWidgets release or snapshot.
</ol>

<p>In addition, please consider subscribing to the very low volume
<a href="../support/maillst2.htm#translators">wxWidgets translators</a>
mailing list on which the news especially important for the translators are
announced.</p>

<p>Thank you in advance for your help!</p>

<p>Please contact <a href="mailto:vadim@wxwidgets.org">Vadim Zeitlin</A> with
any comments/suggestions.</p>

<?php
}
?>

            </div>

          </td>

          <!-- Start Sidebar -->
          <td valign="top" width="170" style="padding: 5px;">

            <!-- Quick Links -->
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="box_top_left" valign="top"><img height="27" width="27" src="/images/sidebar-top-left.gif" alt="" /></td>
                <td class="box_top_center" valign="bottom">&nbsp;</td>
                <td class="box_top_right" valign="top"><img height="27" width="27" src="/images/sidebar-top-right.gif" alt="" /></td>
              </tr>

              <tr>
                <td class="box_heading_left">&nbsp;</td>
                <td class="box_heading_center"><h3 class="box_heading">Quick Links</h3></td>
                <td class="box_heading_right">&nbsp;</td>
              </tr>

              <tr>
                <td class="box_body_left">&nbsp;</td>
                <td class="heading_body" bgcolor="#efefef" width="100%">
                  <span class="style11">
                    <span class="box_links">
                      <b><font color="#000099">Documentation</font></b><br />
                      <a href="http://docs.wxwidgets.org/trunk/overview_helloworld.html">Hello, world!</a><br />
                      <a href="http://docs.wxwidgets.org/stable/">Stable&nbsp;manual</a><br />
                      <a href="http://docs.wxwidgets.org/trunk/">Latest&nbsp;manual</a><br />
                      <a href="https://github.com/wxWidgets/wxWidgets/blob/master/docs/changes.txt">Change&nbsp;log</a><br />
                      <b><font color="#000099"><br />Community</font></b><br />
                      <a href="/support/maillst2.htm">Mailing&nbsp;Lists</a><br />
                      <a href="http://wxwidgets.blogspot.com/">wxBlog</a><br />
                      <a href="http://wxcode.sf.net">wxCode&nbsp;(Add-ons)</a><br />
                      <a href="http://forums.wxwidgets.org/">wxForum</a><br />
                      <a href="http://wiki.wxwidgets.org/">wxWiki</a><br />
                      <b><font color="#000099"><br />Development</font></b><br />
                      <a href="https://github.com/wxWidgets/wxWidgets">Sources</a><br/>
                      <a href="http://trac.wxwidgets.org/">wxTrac</a><br/>
                      <a href="http://trac.wxwidgets.org/newticket">New&nbsp;ticket</a><br/>
                      <a href="http://trac.wxwidgets.org/wiki/Roadmap">Roadmap</a>
                    </span>
                  </span>
                </td>
                <td class="box_body_right">&nbsp;</td>
              </tr>

              <tr>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-left.gif" alt="" /></td>
                <td class="box_bottom_center">&nbsp;</td>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-right.gif" alt="" /></td>
              </tr>
            </table>

            <!-- wxSolutions -->
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="box_top_left" valign="top"><img height="27" width="27" src="/images/sidebar-top-left.gif" alt="" /></td>
                <td class="box_top_center" valign="bottom">&nbsp;</td>
                <td class="box_top_right" valign="top"><img height="27" width="27" src="/images/sidebar-top-right.gif" alt="" /></td>
              </tr>

              <tr>
                <td class="box_heading_left">&nbsp;</td>
                <td class="box_heading_center"><h3 class="box_heading">wxSolutions</h3></td>
                <td class="box_heading_right">&nbsp;</td>
              </tr>

              <tr>
                <td class="box_body_left">&nbsp;</td>
                <td class="heading_body" bgcolor="#efefef" width="100%" align="center">

<script type="text/javascript">
<!--

banners = new Array(
  "http://www.writerscafe.co.uk/", "_new", "/images/banners/writerscafe.gif", "Writer's Caf&eacute; - a place to be creative",
  // "/about/screensh.htm", "", "/images/banners/screenshots.gif", "Check out our screenshots",
  "http://www.helpblocks.com/", "", "/images/banners/helpblocks01.gif", "Try HelpBlocks, a great HTML Help editor",
  "http://www.anthemion.co.uk/dialogblocks/", "_new", "/images/banners/dialogblocks.gif", "DialogBlocks - dialogs unlimited",
  "http://www.tt-solutions.com/", "_new", "/images/banners/tt.gif", "wxWidgets Consulting",
  "http://www.litwindow.com/", "_new", "/images/banners/litwindow.gif", "C++ consulting, tools from Lit Window",
  "http://www.wxdesigner-software.de/", "_new", "/images/banners/wxdesigner_square.gif", "wxDesigner"
);

if (banners.length % 4 == 1)
{
  alert('ERROR: banner[] must have a number of entries divisible by 4.');
}

var numAds = (banners.length) / 4;
var now    = new Date()
var sec    = now.getSeconds()
var ad     = sec % numAds;
var url    = banners[ad*4];
var target = banners[ad*4 + 1];
var banner = banners[ad*4 + 2];
var alt    = banners[ad*4 + 3];
var width  = "100";
var height = "100";
var vspace = 0;

document.write('<a class=\"imglink\" href=\"' + url + '\" target=\"' + target + '\">' + '<img src=\"' + banner + '\" width=' + width + ' height=' + height + ' alt=\"' + alt + '\" valign=center align=center border=0 hspace=0 vspace=' + vspace + ' /><\/a>');

// -->
</script>

                </td>
                <td class="box_body_right">&nbsp;</td>
              </tr>

              <tr>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-left.gif" alt="" /></td>
                <td class="box_bottom_center">&nbsp;</td>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-right.gif" alt="" /></td>
              </tr>
            </table>

            <!-- wxBook -->
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="box_top_left" valign="top"><img height="27" width="27" src="/images/sidebar-top-left.gif" alt="" /></td>
                <td class="box_top_center" valign="bottom">&nbsp;</td>
                <td class="box_top_right" valign="top"><img height="27" width="27" src="/images/sidebar-top-right.gif" alt="" /></td>
              </tr>

              <tr>
                <td class="box_heading_left">&nbsp;</td>
                <td class="box_heading_center"><h3 class="box_heading">wxBook</h3></td>
                <td class="box_heading_right">&nbsp;</td>
              </tr>

              <tr>
                <td class="box_body_left">&nbsp;</td>
                <td class="heading_body" bgcolor="#efefef" width="100%" align="center">
                  <p class="imglink"><a href="/docs/book/"><img border="0" src="/images/wxbook.jpg" alt="wxWidgets Book" width="83" height="110" longdesc="wxWidgets Book" /></a></p>
                  <p><font size="2"><b>Buy it From:</b><br />
                    <a href="http://www.amazon.com/exec/obidos/redirect?link_code=ur2&amp;tag=wxwidgets-20&amp;camp=1789&amp;creative=9325&amp;path=http%3A%2F%2Fwww.amazon.com%2Fgp%2Fproduct%2F0131473816">Amazon.com</a><br />
                    <a href="http://www.amazon.co.uk/exec/obidos/redirect?link_code=as2&amp;path=ASIN/0131473816&amp;tag=wxwidgets-21&amp;camp=1634&amp;creative=6738">Amazon.co.uk</a></font><br />
                  </p>
                </td>
                <td class="box_body_right">&nbsp;</td>
              </tr>

               <tr>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-left.gif" alt="" /></td>
                <td class="box_bottom_center">&nbsp;</td>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-right.gif" alt="" /></td>
              </tr>
            </table>

            <!-- Donate Now -->
<!-- Do NOT donate now
            <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="box_top_left" valign="top"><img height="27" width="27" src="/images/sidebar-top-left.gif" alt="" /></td>
                <td class="box_top_center" valign="bottom">&nbsp;</td>
                <td class="box_top_right" valign="top"><img height="27" width="27" src="/images/sidebar-top-right.gif" alt="" /></td>
              </tr>

              <tr>
                <td class="box_heading_left">&nbsp;</td>
                <td class="box_heading_center"><h3 class="box_heading">Donate</h3></td>
                <td class="box_heading_right">&nbsp;</td>
              </tr>

              <tr>
                <td class="box_body_left">&nbsp;</td>
                <td class="heading_body" bgcolor="#efefef" width="100%">
                  <div align="center">
                    <input type="hidden" name="cmd" value="_xclick" />
                    <input type="hidden" name="business" value="julian@anthemion.co.uk" />
                    <input type="hidden" name="item_name" value="Edinburgh Fund for wxWidgets" />
                    <input type="hidden" name="no_shipping" value="1" />
                    <input type="hidden" name="currency_code" value="USD" />
                    <input type="hidden" name="tax" value="0" />
                    <input type="image" src="/images/paypal-but04.gif" name="submit" alt="Make payments with PayPal - it's fast, free and secure!" />
                  </div>
                </td>
                <td class="box_body_right">&nbsp;</td>
              </tr>

              <tr>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-left.gif" alt="" /></td>
                <td class="box_bottom_center">&nbsp;</td>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-right.gif" alt="" /></td>
              </tr>
            </table>
            </form>
-->
          </td>
          <!-- End Sidebar -->

        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td colspan="2" bgcolor="#003366"><img src="/mm_spacer.gif" alt="" width="1" height="1" border="0" /></td>
  </tr>

  <tr>
    <td colspan="2" bgcolor="#eeeeee" style="padding: 15px;">
      <p style="margin: 0px; padding: 0px;"><font size="1">Site design and update scripts by <a href="http://kevino.theolliviers.com">Kevin Ollivier</a>, with special thanks to Brad Anderson for his improvements to the sidebar, intro table and navbar designs, Bryan Petty for the new wxWidgets blocks graphics and logo text, and to the wxWidgets community for all their helpful suggestions, comments and testing!</font></p>
    </td>
  </tr>

</table>

<div id="footer"></div>

<script type="text/javascript">
	var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
	document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
	var pageTracker = _gat._getTracker("UA-794025-1");
	pageTracker._initData();
	pageTracker._trackPageview();
</script>

</body>
</html>
