# vim: ai ts=4 sts=4 et sw=4

root_url = "http://www.wxwidgets.org"

about_links = {
"Features"      : root_url + "/about/feature2.htm",
"Screenshots"   : root_url + "/about/screensh.htm",
"Datasheets"    : root_url + "/about/datasheets.html",
"History"       : root_url + "/about/history.htm",
"Press"         : root_url + "/about/reviews2.htm",
"Credits"       : root_url + "/about/credits.htm",
"Users"         : root_url + "/about/users.htm",
"Licence"       : root_url + "/about/newlicen.htm",
"Feedback"      : root_url + "/about/feedback.htm",
"wxTeam"        : root_url + "/about/whowhat.htm",
"Localization"  : root_url + "/about/i18n.php",
}

download_links = {
"Releases"      : "http://sourceforge.net/project/showfiles.php?group_id=9863",
"Daily Builds"  : root_url + "/downloads/builds.htm",
"Patches"       : root_url + "/downloads/patch.htm",
"Demo Apps"     : root_url + "/downloads/demos.htm",
}

documentation_links = {
"FAQ"           : root_url + "/docs/faq.htm",
"Tutorials"     : root_url + "/docs/tutorials.htm",
"Licence"       : root_url + "/about/newlicen.htm",
}

support_links = {
"Community"     : root_url + "/support/maillst2.htm",	
"Commercial"    : root_url + "/support/support.htm",
"Donate"        : root_url + "/support/spi.htm",
}

developer_links = {
"SVN Access"    : root_url + "/develop/svn.htm", 
"Guidelines"    : root_url + "/develop/standard.htm",
"Bounties"      : "http://wiki.wxwidgets.org/WxWidgets_Bounties",
"Opportunities" : "http://wiki.wxwidgets.org/WxWidgets_Vacancies",
}

links = {
"about"         : about_links,
"downloads"     : download_links,
"docs"          : documentation_links,
"support"       : support_links,
"develop"       : developer_links,
}

def makeLinksHTML(links):
    result = ''
    for link in links:
        result += "\n" + (' ' * 24) + ('<a href="%s">%s</a><br/>' % (links[link], link))
    return result
