<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<title id="title">wxWidgets</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" type="text/css" href="/screen.css" media="screen" />
	<script type="text/javascript">
	<!--
	// For smaller resolution screens, use a smaller font.
	if ( (screen.width < 1024) || (screen.height < 768) )
		document.write('<link rel="stylesheet" type="text/css" href="/small-font.css" media="screen">');
	function encodeEmailLink(name)
	{
		var addr = name + "@googlegroups.com";
		document.write("<a href='mailto:" + addr + "'>" + addr + "</a>");
	}
	// -->
	</script>
</head>

<body>

<table width="100%" border="0" cellspacing="0" cellpadding="0">

  <!-- Header -->
  <tr>
    <td class="header" height="64">
      <img src="/logo9.jpg" alt="wxWidgets Logo" width="300" height="64" />
    </td>
    <!-- Search Box -->
    <td class="header" height="64" valign="middle" nowrap="nowrap" align="right">
      <form id="search" method="get" action="http://www.google.com/custom">
        <input type="hidden" name="domains" value="www.wxwidgets.org" />
        <input type="hidden" name="sitesearch" value="www.wxwidgets.org" />
        <input name="q" type="text" size="20" />&nbsp;&nbsp;<input name="sa" value="Search" type="submit" />&nbsp;&nbsp;
      </form>
    </td>
  </tr>

  <tr>
    <td colspan="2" bgcolor="#003366"><img src="/mm_spacer.gif" alt="" width="1" height="1" border="0" /></td>
  </tr>

  <!-- Navigation Bar -->
  <tr>
    <td id="navbartd" height="25" colspan="2">
      <div id="navbar"><b>
        &nbsp;&nbsp;&nbsp;<a href="/">Home</a>&nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;<a href="/about/">About</a>&nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;<a href="/downloads/">Downloads</a>&nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;<a href="/docs/">Documentation</a>&nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;<a href="/support/">Support</a>&nbsp;&nbsp;&nbsp;
        &nbsp;&nbsp;&nbsp;<a href="/develop/">Developers</a>&nbsp;&nbsp;&nbsp;
      </b></div>
    </td>
  </tr>

  <tr>
    <td colspan="2" bgcolor="#003366"><img src="/mm_spacer.gif" alt="" width="1" height="1" border="0" /></td>
  </tr>

  <tr>
    <td colspan="2">
      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td valign="top">

            <div id="section_box"><!-- CONTENT HERE WILL BE REPLACED --></div>

          </td>
          <td valign="top" width="100%" style="padding: 20px 10px;">

            <div id="contents">

<?php

// load the screenshots into the array
$apps = array();

$apps[] = array("BitWise IM", "http://www.bitwiseim.com",
                array("bitwiseim-xp.gif", "bitwiseim-linux.gif", "bitwiseim-osx.gif"));
$apps[] = array("Merge", "http://www.elliecomputing.com/Products/merge_overview.asp",
                array("merge-win.gif", "merge-fedora.gif"));
$apps[] = array("Ca3D-Engine", "http://www.ca3d-engine.de",
                array("ca3d-win.gif", "ca3d-x11.gif"));
$apps[] = array("Audacity", "http://audacity.sourceforge.net",
                array("audacity-windows.gif", "audacity-linux.gif", "audacity-macosx.jpg"));
$apps[] = array("Kirix Strata", "http://www.kirix.com",
                array("kirix-windows.gif", "kirix-linux.jpg"));
$apps[] = array("Writer's Cafe", "http://www.writerscafe.co.uk/",
                array("writerscafe-windows.gif", "writerscafe-linux.gif"));
$apps[] = array("DialogBlocks", "http://www.dialogblocks.com",
                array("dialogblocks-windows.jpg", "dialogblocks-linux.jpg", "dialogblocks-mac.jpg"));
$apps[] = array("WaveIdea", "http://www.waveidea.com",
                array("waveidea-windows.jpg", "waveidea-mac.jpg"));
$apps[] = array("VibeStudio", "http://www.vrsonic.com/products/vibestudio.html",
                array("vibestation-windows.jpg"));
$apps[] = array("Ginkgo CADx", "http://ginkgo-cadx.com/en/",
                array("ginkgo-windows.jpg"));

$num = rand(0, sizeof($apps) - 1);
$ssnum = rand(0, sizeof($apps[$num][2]) - 1);

?>

<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#EEEEEE">
  <tr>
    <td valign="top">&nbsp;&nbsp;&nbsp;</td>
    <td width="60%" bgcolor="#EEEEEE" valign="top">
      <br /><p>wxWidgets is a C++ library that lets developers create applications for
               <strong>Windows, OS X, Linux and UNIX</strong> on 32-bit and 64-bit
               architectures as well as several mobile platforms including Windows Mobile,
               iPhone SDK and embedded GTK+.
               It has popular language bindings for <a href="http://wxpython.org">Python</a>,
               <a href="http://wxperl.sourceforge.net">Perl</a>, <a href="http://wxruby.rubyforge.org">Ruby</a>
               and many other languages.
               Unlike other cross-platform toolkits, wxWidgets gives its applications
               a truly native look and feel
               because it uses the platform's native API rather than emulating the GUI.
               It's also <em>extensive, free, open-source and mature</em>.
               Why not give it a try, like <a href="about/users.htm">many others have</a>?</p>
      <p align="right" style="color: #000099; font-weight: bold; font-size:large"><a href="about/">Learn More</a> or <a href="downloads/">Download Now</a></p>
    </td>
    <td valign="top" nowrap="nowrap">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
    <td nowrap="nowrap" align="center" valign="middle">
      <br /><img id="front_screen" src="images/front_screens/<?php echo $apps[$num][2][$ssnum]?>" alt="<?php echo $apps[$num][0]?>" width="300" height="225" /><br />
      <span id="ssLinks" style="font-size: 75%"></span>
      <h5 align="center">Featured App:
        <a id="appUrl" target="_blank" href="<?= $apps[$num][1] ?>"><span id="appName"><?= $apps[$num][0] ?></span></a>
        <br /><a href="about/screensh.htm">More Screenshots...</a>
      </h5>
    </td>
  </tr>
</table>

<script type="text/javascript">
<!--
// screenshot URLs
function wxApp(name, url, ssWin, ssLinux, ssMac){
    this.name = name;
    this.url = url;
    this.ssWin = ssWin;
    this.ssLinux = ssLinux;
    this.ssMac = ssMac;
}

var arrayLen = 6;
apps = new Array(arrayLen);
apps[0] = new wxApp("BitWise IM", "http://www.bitwiseim.com", "bitwiseim-xp.gif", "bitwiseim-linux.gif", "bitwiseim-osx.gif");
apps[1] = new wxApp("Merge", "http://www.elliecomputing.com/Products/merge_overview.asp", "merge-win.gif", "merge-fedora.gif", "");
apps[2] = new wxApp("Ca3D-Engine", "http://www.ca3d-engine.de", "ca3d-win.gif", "ca3d-x11.gif", "");
apps[3] = new wxApp("Audacity", "http://audacity.sourceforge.net", "audacity-windows.gif", "audacity-linux.gif", "audacity-macosx.jpg");
apps[4] = new wxApp("Kirix Strata", "http://www.kirix.com", "kirix-windows.gif", "kirix-linux.gif", "");
apps[5] = new wxApp("Writer's Cafe", "http://www.writerscafe.co.uk/", "writerscafe-windows.gif", "writerscafe-linux.gif", "");

function loadImage(){

    randomAppNum = Math.floor(Math.random()*arrayLen);
    thisApp = apps[randomAppNum];

    if (document.getElementById)
    {
        document.getElementById("appName").firstChild.nodeValue  = thisApp.name;
        document.getElementById("appUrl").href = thisApp.url;
        imageTag = document.images["front_screen"];
        imageDir = "images/front_screens/";
        document.getElementById("ssLinks").firstChild = ssSwitcher;

        if (navigator.appVersion.indexOf("Win")!= -1 && thisApp.ssWin != "")
            imageTag.src = imageDir + thisApp.ssWin;
        else if (navigator.appVersion.indexOf("Mac") != -1 && thisApp.ssMac != "")
            imageTag.src = imageDir + thisApp.ssMac;
        else if ((navigator.appVersion.indexOf("X11") != -1 ||
                  navigator.appVersion.indexOf("Linux") != -1) && thisApp.ssLinux != "")
            imageTag.src = imageDir + thisApp.ssLinux;
        else
        {
            if (thisApp.ssWin != "")
                imageTag.src = imageDir + thisApp.ssWin;
            else if (thisApp.ssLinux != "")
                imageTag.src = imageDir + thisApp.ssMac;
            else
                imageTag.src = imageDir + thisApp.ssLinux;
        }
        myimage = new Image();
        myimage.src = imageTag.src;
    }
}
-->
</script>

<p><span class="page_heading">
  <img src="images/blocks2.jpg" alt="Heading" width="30" height="21" />
  News and Events</span>
</p>

<p><span style="font-size: 160%; text-shadow: 2px 2px 2px #2c2cee;">New Stable Major wxWidgets 3.0.0 Release</span><br/>
<small class="date">2013-11-11</small><br/></p>

<p>
The final version of wxWidgets 3.0, the first new stable wxWidgets release in
years and the first new major release since 1998, is now available. Please
download the <a href="https://sourceforge.net/downloads/wxwindows/3.0.0/">sources</a>
and <a href="https://sourceforge.net/downloads/wxwindows/3.0.0/binaries/">binaries</a>
for the selected Windows compilers (Microsoft Visual C++ and
<a href="http://tdm-gcc.tdragon.net/">MinGW-TDM</a>) from SourceForge or
our <a href="ftp://ftp.wxwidgets.org/pub/3.0.0/">FTP mirror</a>. As usual,
the release files contain the sources and the documentation for the library in
Unix (.tar.bz2) and Windows (.zip or .7z, with the latter being significantly
smaller) formats. Notice that the documentation is also available
<a href="http://docs.wxwidgets.org/3.0.0/">online</a>.
</p>

<p>
3.0 release is a culmination of several years of work since 2.8 and so brings
many important improvements compared to the old stable series, such as much
better and simpler to use support for Unicode, the new wxOSX/Cocoa port,
suitable for development of 64 bit GUI applications under OS X, and support
for GTK+ 3 in wxGTK port, as well as a huge number of other new features and
bug fixes which are too numerous to be listed here, so please refer to
<a href="https://sourceforge.net/projects/wxwindows/files/3.0.0/changes.txt">the change log</a>
for the full list. And if you're upgrading from a previous version, please pay
special attention to the "incompatible changes" section of this file and the
<a href="http://docs.wxwidgets.org/3.0.0/overview_changes_since28.html">changes</a>
chapter of the manual for even more details.
</p>

<p>
We hope you will enjoy using the latest and greatest version of wxWidgets! And
if not, there is always the possibility to
<a href="http://trac.wxwidgets.org/newticket">report bugs</a> in it on our bug
tracker. Have fun and good luck!
</p>

<br/>

<p><strong><a href="http://wxcrafter.codelite.org">wxCrafter 1.1</a> Plugin for <a href="http://codelite.org">CodeLite IDE</a> Released</strong><br/>
<small class="date">2013-03-28</small><br/></p>

<p>
wxCrafter is a RAD plugin for developing wxWidgets applications using CodeLite
IDE. It supports <a href="http://wxcrafter.codelite.org/#feature-comparison">most of wxWidgets
controls</a> including wxDataViewCtrl, wxRibbonBar, wxWebView, wxInfoBar,
wxWizard, wxTreebook, wxAUI, wxPopupWindow and many more as well as some
non-UI elements such as wxImageList and wxTimer.
</p>

<p>
See this <a href="http://www.youtube.com/watch?v=_IUE0drA78g&feature=youtu.be">short video</a>
demonstrating support for wxRibbonBar in wxCrafter.
</p>

<p><strong>Google Drive Uses wxWidgets</strong><br/>
<small class="date">2012-05-03</small><br/></p>

<p>
The recently released <a href="https://drive.google.com/">Google Drive</a>
system desktop client
<a href="https://support.google.com/drive/bin/answer.py?hl=en&answer=1716931&p=settings_licenses">uses wxPython</a>.
Considering that <a href="https://www.dropbox.com/">Dropbox</a> desktop client
is also written in wxPython it could be taken as a proof that wxWidgets
provides a solid foundation for cloud-based systems!
</p>

<p>
And as Google Drive application uses wxWidgets 2.9.3, it should hopefully help
answering the often-asked question if 2.9 series is good enough for production
use.
</p>


<p><strong>wxWidgets for Android Campaign</strong><br/>
<small class="date">2012-05-02</small><br/></p>

<p>
We are looking for developers and/or funding to help us with developing
wxAndroid port. If you are interested in working on this project yourself 
or would like to donate to see it happen, please contact us or visit the
<a href="http://www.cofundos.org/project.php?id=115601">funding page</a>.
See the original
<a href="http://forums.wxwidgets.org/viewtopic.php?f=27&t=34910">forum post</a>
about this campaign for more details.
</p>


<p><strong>Which gcc Version to Use to Build wxWidgets Under Windows?</strong><br/>
<small class="date">2011-06-18</small><br/></p>

<p>If you are wondering which of the various MinGW, MinGW64 and Cygwin
versions of the compiler is most suitable for Windows development of
applications using wxWidgets, you may be interested in reading the
<a href="http://wxwidgets.blogspot.com/2011/06/choosing-gcc-for-building-wxwidgets.html">article</a>
about choosing between them.

<p><strong>wxWidgets 2.8.12 Released</strong><br/>
<small class="date">2011-03-28</small><br/></p>

<p>The wxWidgets team is pleased to announce a new wxWidgets release. The latest
stable release in the 2.8 series contains a number of bug fixes, and upgrading is recommended
for all wxWidgets users. To get wxWidgets, please go to the <a href="http://www.wxwidgets.org/downloads/">download page</a>.</p>

<hr/>
Please see the <a href="about/news/news.htm">news archive</a> for older events.

            </div>

          </td>

          <!-- Start Sidebar -->
          <td valign="top" width="170" style="padding: 5px;">

            <!-- Quick Links -->
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="box_top_left" valign="top"><img height="27" width="27" src="/images/sidebar-top-left.gif" alt="" /></td>
                <td class="box_top_center" valign="bottom">&nbsp;</td>
                <td class="box_top_right" valign="top"><img height="27" width="27" src="/images/sidebar-top-right.gif" alt="" /></td>
              </tr>

              <tr>
                <td class="box_heading_left">&nbsp;</td>
                <td class="box_heading_center"><h3 class="box_heading">Quick Links</h3></td>
                <td class="box_heading_right">&nbsp;</td>
              </tr>

              <tr>
                <td class="box_body_left">&nbsp;</td>
                <td class="heading_body" bgcolor="#efefef" width="100%">
                  <span class="style11">
                    <span class="box_links">
                      <b><font color="#000099">Documentation</font></b><br />
                      <a href="http://docs.wxwidgets.org/trunk/overview_helloworld.html">Hello, world!</a><br />
                      <a href="http://docs.wxwidgets.org/stable/">Stable&nbsp;manual</a><br />
                      <a href="http://docs.wxwidgets.org/trunk/">Latest&nbsp;manual</a><br />
                      <a href="https://github.com/wxWidgets/wxWidgets/blob/master/docs/changes.txt">Change&nbsp;log</a><br />
                      <b><font color="#000099"><br />Community</font></b><br />
                      <a href="/support/maillst2.htm">Mailing&nbsp;Lists</a><br />
                      <a href="http://wxwidgets.blogspot.com/">wxBlog</a><br />
                      <a href="http://wxcode.sf.net">wxCode&nbsp;(Add-ons)</a><br />
                      <a href="http://forums.wxwidgets.org/">wxForum</a><br />
                      <a href="http://wiki.wxwidgets.org/">wxWiki</a><br />
                      <b><font color="#000099"><br />Development</font></b><br />
                      <a href="https://github.com/wxWidgets/wxWidgets">Sources</a><br/>
                      <a href="http://trac.wxwidgets.org/">wxTrac</a><br/>
                      <a href="http://trac.wxwidgets.org/newticket">New&nbsp;ticket</a><br/>
                      <a href="http://trac.wxwidgets.org/wiki/Roadmap">Roadmap</a>
                    </span>
                  </span>
                </td>
                <td class="box_body_right">&nbsp;</td>
              </tr>

              <tr>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-left.gif" alt="" /></td>
                <td class="box_bottom_center">&nbsp;</td>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-right.gif" alt="" /></td>
              </tr>
            </table>

            <!-- wxSolutions -->
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="box_top_left" valign="top"><img height="27" width="27" src="/images/sidebar-top-left.gif" alt="" /></td>
                <td class="box_top_center" valign="bottom">&nbsp;</td>
                <td class="box_top_right" valign="top"><img height="27" width="27" src="/images/sidebar-top-right.gif" alt="" /></td>
              </tr>

              <tr>
                <td class="box_heading_left">&nbsp;</td>
                <td class="box_heading_center"><h3 class="box_heading">wxSolutions</h3></td>
                <td class="box_heading_right">&nbsp;</td>
              </tr>

              <tr>
                <td class="box_body_left">&nbsp;</td>
                <td class="heading_body" bgcolor="#efefef" width="100%" align="center">

<script type="text/javascript">
<!--

banners = new Array(
  "http://www.writerscafe.co.uk/", "_new", "/images/banners/writerscafe.gif", "Writer's Caf&eacute; - a place to be creative",
  // "/about/screensh.htm", "", "/images/banners/screenshots.gif", "Check out our screenshots",
  "http://www.helpblocks.com/", "", "/images/banners/helpblocks01.gif", "Try HelpBlocks, a great HTML Help editor",
  "http://www.anthemion.co.uk/dialogblocks/", "_new", "/images/banners/dialogblocks.gif", "DialogBlocks - dialogs unlimited",
  "http://www.tt-solutions.com/", "_new", "/images/banners/tt.gif", "wxWidgets Consulting",
  "http://www.litwindow.com/", "_new", "/images/banners/litwindow.gif", "C++ consulting, tools from Lit Window",
  "http://www.wxdesigner-software.de/", "_new", "/images/banners/wxdesigner_square.gif", "wxDesigner"
);

if (banners.length % 4 == 1)
{
  alert('ERROR: banner[] must have a number of entries divisible by 4.');
}

var numAds = (banners.length) / 4;
var now    = new Date()
var sec    = now.getSeconds()
var ad     = sec % numAds;
var url    = banners[ad*4];
var target = banners[ad*4 + 1];
var banner = banners[ad*4 + 2];
var alt    = banners[ad*4 + 3];
var width  = "100";
var height = "100";
var vspace = 0;

document.write('<a class=\"imglink\" href=\"' + url + '\" target=\"' + target + '\">' + '<img src=\"' + banner + '\" width=' + width + ' height=' + height + ' alt=\"' + alt + '\" valign=center align=center border=0 hspace=0 vspace=' + vspace + ' /><\/a>');

// -->
</script>

                </td>
                <td class="box_body_right">&nbsp;</td>
              </tr>

              <tr>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-left.gif" alt="" /></td>
                <td class="box_bottom_center">&nbsp;</td>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-right.gif" alt="" /></td>
              </tr>
            </table>

            <!-- wxBook -->
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="box_top_left" valign="top"><img height="27" width="27" src="/images/sidebar-top-left.gif" alt="" /></td>
                <td class="box_top_center" valign="bottom">&nbsp;</td>
                <td class="box_top_right" valign="top"><img height="27" width="27" src="/images/sidebar-top-right.gif" alt="" /></td>
              </tr>

              <tr>
                <td class="box_heading_left">&nbsp;</td>
                <td class="box_heading_center"><h3 class="box_heading">wxBook</h3></td>
                <td class="box_heading_right">&nbsp;</td>
              </tr>

              <tr>
                <td class="box_body_left">&nbsp;</td>
                <td class="heading_body" bgcolor="#efefef" width="100%" align="center">
                  <p class="imglink"><a href="/docs/book/"><img border="0" src="/images/wxbook.jpg" alt="wxWidgets Book" width="83" height="110" longdesc="wxWidgets Book" /></a></p>
                  <p><font size="2"><b>Buy it From:</b><br />
                    <a href="http://www.amazon.com/exec/obidos/redirect?link_code=ur2&amp;tag=wxwidgets-20&amp;camp=1789&amp;creative=9325&amp;path=http%3A%2F%2Fwww.amazon.com%2Fgp%2Fproduct%2F0131473816">Amazon.com</a><br />
                    <a href="http://www.amazon.co.uk/exec/obidos/redirect?link_code=as2&amp;path=ASIN/0131473816&amp;tag=wxwidgets-21&amp;camp=1634&amp;creative=6738">Amazon.co.uk</a></font><br />
                  </p>
                </td>
                <td class="box_body_right">&nbsp;</td>
              </tr>

               <tr>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-left.gif" alt="" /></td>
                <td class="box_bottom_center">&nbsp;</td>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-right.gif" alt="" /></td>
              </tr>
            </table>

            <!-- Donate Now -->
<!-- Do NOT donate now
            <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
            <table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="box_top_left" valign="top"><img height="27" width="27" src="/images/sidebar-top-left.gif" alt="" /></td>
                <td class="box_top_center" valign="bottom">&nbsp;</td>
                <td class="box_top_right" valign="top"><img height="27" width="27" src="/images/sidebar-top-right.gif" alt="" /></td>
              </tr>

              <tr>
                <td class="box_heading_left">&nbsp;</td>
                <td class="box_heading_center"><h3 class="box_heading">Donate</h3></td>
                <td class="box_heading_right">&nbsp;</td>
              </tr>

              <tr>
                <td class="box_body_left">&nbsp;</td>
                <td class="heading_body" bgcolor="#efefef" width="100%">
                  <div align="center">
                    <input type="hidden" name="cmd" value="_xclick" />
                    <input type="hidden" name="business" value="julian@anthemion.co.uk" />
                    <input type="hidden" name="item_name" value="Edinburgh Fund for wxWidgets" />
                    <input type="hidden" name="no_shipping" value="1" />
                    <input type="hidden" name="currency_code" value="USD" />
                    <input type="hidden" name="tax" value="0" />
                    <input type="image" src="/images/paypal-but04.gif" name="submit" alt="Make payments with PayPal - it's fast, free and secure!" />
                  </div>
                </td>
                <td class="box_body_right">&nbsp;</td>
              </tr>

              <tr>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-left.gif" alt="" /></td>
                <td class="box_bottom_center">&nbsp;</td>
                <td valign="top"><img height="27" width="27" src="/images/sidebar-bottom-right.gif" alt="" /></td>
              </tr>
            </table>
            </form>
-->
          </td>
          <!-- End Sidebar -->

        </tr>
      </table>
    </td>
  </tr>

  <tr>
    <td colspan="2" bgcolor="#003366"><img src="/mm_spacer.gif" alt="" width="1" height="1" border="0" /></td>
  </tr>

  <tr>
    <td colspan="2" bgcolor="#eeeeee" style="padding: 15px;">
      <p style="margin: 0px; padding: 0px;"><font size="1">Site design and update scripts by <a href="http://kevino.theolliviers.com">Kevin Ollivier</a>, with special thanks to Brad Anderson for his improvements to the sidebar, intro table and navbar designs, Bryan Petty for the new wxWidgets blocks graphics and logo text, and to the wxWidgets community for all their helpful suggestions, comments and testing!</font></p>
    </td>
  </tr>

</table>

<div id="footer"></div>

<script type="text/javascript">
	var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
	document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
	var pageTracker = _gat._getTracker("UA-794025-1");
	pageTracker._initData();
	pageTracker._trackPageview();
</script>

</body>
</html>
